Bug 459572 (CVE-2008-3660) - CVE-2008-3660 php: FastCGI module DoS via multiple dots preceding the extension
Summary: CVE-2008-3660 php: FastCGI module DoS via multiple dots preceding the extension
Status: CLOSED ERRATA
Alias: CVE-2008-3660
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=osssecurity,reported=20080808,...
Keywords: Security
Depends On: 487359 487360 487361 487368 487369 487370 487371
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-20 09:48 UTC by Tomas Hoger
Modified: 2019-06-08 12:34 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-23 22:31:56 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0337 normal SHIPPED_LIVE Moderate: php security update 2009-04-06 16:51:01 UTC
Red Hat Product Errata RHSA-2009:0338 normal SHIPPED_LIVE Moderate: php security update 2009-04-06 16:38:01 UTC
Red Hat Product Errata RHSA-2009:0350 normal SHIPPED_LIVE Moderate: php security update 2009-04-14 17:14:37 UTC

Description Tomas Hoger 2008-08-20 09:48:51 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-3660 to
the following vulnerability:

PHP 4.4.x before 4.4.9 and PHP 5.6 through 5.2.6, when used as a FastCGI module, allows remote attackers to cause a denial of service (crash) via a request with multiple dots preceding the extension, as demonstrated using foo..php.

References:
http://bugs.gentoo.org/show_bug.cgi?id=234102
http://www.openwall.com/lists/oss-security/2008/08/08/2
http://www.openwall.com/lists/oss-security/2008/08/13/8

Comment 5 Tomas Hoger 2009-03-25 09:07:23 UTC
This issue is unlikely to affect PHP installations running on Red Hat Enterprise Linux, as there's no FastCGI httpd module shipped.  Typical installations use PHP as an httpd module, and are not affected by this flaw.  Upcoming PHP security update will address this flaw.

Comment 6 errata-xmlrpc 2009-04-06 16:38:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0338 https://rhn.redhat.com/errata/RHSA-2009-0338.html

Comment 7 errata-xmlrpc 2009-04-06 16:51:12 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4

Via RHSA-2009:0337 https://rhn.redhat.com/errata/RHSA-2009-0337.html

Comment 8 errata-xmlrpc 2009-04-14 17:14:44 UTC
This issue has been addressed in following products:

  Red Hat Web Application Stack for RHEL 5

Via RHSA-2009:0350 https://rhn.redhat.com/errata/RHSA-2009-0350.html

Comment 9 Fedora Update System 2009-05-30 02:33:50 UTC
maniadrive-1.2-13.fc10, php-5.2.9-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-05-30 02:37:50 UTC
maniadrive-1.2-13.fc9, php-5.2.9-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.